Skip to main content
`Ctrl`+`K`

# SNESNewtonTRDCGetPreCheck

Gets the pre-check function optionally set with `SNESNewtonTRDCSetPreCheck()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonTRDCGetPreCheck(SNES snes, PetscErrorCode (**func)(SNES, Vec, Vec, PetscBool *, void *), void **ctx)

Not Collective

## Input Parameter

- snes - the nonlinear solver context

## Output Parameters

- func - [optional] function evaluation routine, for the calling sequence see `SNESNewtonTRDCPreCheck()`

- ctx - [optional] user-defined context for private data for the function evaluation routine (may be `NULL`)

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTRDC`, `SNESNewtonTRDCSetPreCheck()`, `SNESNewtonTRDCPreCheck()`

## Level

intermediate

## Location

src/snes/impls/ntrdc/ntrdc.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages